Lists the files uploaded to the case, optionally filtered by extraction code, opposing-counsel shared status, tags or text. On a case shared with opposing counsel, files are limited to what the caller may see.
GET
/cases/files/{caseId}
curl \
--request GET 'http://api.example.com/cases/files/{caseId}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "organization: string"
Response examples (200)
{
"data": {
"total": 42,
"page": 1,
"perPage": 20,
"skip": 0,
"limit": 20,
"totalPages": 3,
"nextPage": 2,
"previousPage": 42.0,
"data": [
{
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "contract.pdf",
"type": "document",
"size": 204800,
"case": "507f1f77bcf86cd799439011",
"file": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "photo.heic",
"providerId": "uploads/507f1f77bcf86cd799439011/photo.heic",
"convertedName": "photo.jpg",
"convertedProviderId": "uploads/507f1f77bcf86cd799439011/photo.jpg",
"provider": "s3",
"size": 204800,
"transferState": 42.0
},
"extractionCode": "507f1f77bcf86cd799439011",
"category": "contracts",
"tags": [
{
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "Important",
"nameLowercase": "important",
"backgroundColor": "#FDE68A",
"textColor": "#92400E",
"type": "system",
"severity": "info",
"origin": "manual",
"creatorAccessType": "org",
"isActive": true
}
],
"attachedTags": [
{
"tagId": "507f1f77bcf86cd799439011",
"tag": "Important",
"addedBy": "user",
"addedById": "507f1f77bcf86cd799439012",
"removedAt": "2026-05-04T09:42:00Z",
"removedBy": "user",
"removedById": "string"
}
],
"ocSharedStatus": "shared"
}
]
},
"statusCode": 200,
"timestamp": "2026-01-15T10:15:00.000Z"
}